Redmine - Defect #5373

Translation missing when adding invalid watchers
2010-04-22 20:21 - Bogdan Matu

Status: Closed Start date: 2010-04-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed Affected version: 0.9.3
Description

When trying to create a new issues if you have more then one watcher assigned to the issue | get an error "translation missing: en,
field_watcher_users is invalid”

Rails 2.3.5

Ruby 1.8.7

Related issues:

Related to Redmine - Defect #8076: Watchers list issue Closed 2011-04-05
Has duplicate Redmine - Defect #6094: translation missing: en, field_watcher_... Closed 2010-08-09

Associated revisions

Revision 5880 - 2011-05-22 12:30 - Jean-Philippe Lang

Fixed: validation error on issue creation when trying to add an invalid user as a watcher (#5373).

History

#1 - 2010-04-22 21:09 - Felix Schéfer

- Category set to Translations

#2 - 2010-04-23 15:03 - Bogdan Matu

This might be part of translations but it is a bug as well - It will not allow me to add more then one watcher. Yes the error message shows the code but
the logic itself is not working

#3 - 2010-04-23 15:06 - Bogdan Matu

It seems like it is just one user in the project. My appologies.

#4 - 2010-04-23 15:17 - Felix Schafer

Mmbh, that's odd... Please provide the information listed in SubmittingBugs (especially the output of RAILS_ENV=production ruby script/about) and
see if there is some meaningful error trace in the logs. We need to be able to reproduce this to help.

#5 - 2010-04-26 19:26 - Robert Chady

I have run in to this behavior when the user set as a watcher was somehow invalid. The acts_as_watchable plugin does its own validity checking on
the user above and beyond what Redmine does. Check over the user that is giving you the error and see if there is something not quite right about
them.

#6 - 2010-06-02 20:53 - multi user

- Assignee set to Jean-Philippe Lang

Bonsaoir,

Ce probléme se produit si I'un des observateur partage la méme adresse mail avec d'autres utilisateurs (ce qui était possible dans d'anciennes
versions).

En modifiant les adresses mails, plus de problémes.

Cdlt

#7 - 2010-08-09 00:53 - Jean-Baptiste Barth
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs

- Subject changed from Multiple Watchers to Translation missing when adding invalid watchers

- Assignee deleted (Jean-Philippe Lang)

#8 - 2010-08-11 04:30 - Brandon Bonds

The above comment is correct... this happens when two users have the same email address for some reason. My issue #6094 is a duplicate and I'l
copy that issue report here:

Issue 6094
| came across the following error whenever someone would create an issue with me as a watcher:

translation missing: en, field_watcher_users is invalid
It did not do the same for anyone else. And, | could be added as a watcher to an issue later.

| figured out the problem, and hopefully this will be a helpful hint if someone comes across this rare error. It turns out that my email address was in
use by both my account and the "Administrator". So, | changed one of the email addresses and it started working correctly.

The current release does not allow this to even happen, but | assume | set this up in a prior release, or by manually editing the database. In either
case, most people shouldn't come across the issue and | don't know if this is something worth looking into fixing.

#9 - 2011-03-07 14:34 - Christian Ziegelt
Watchers seem to be invalid, if their personal settings are corrupted.

After migrating a 1.1.0 installation from one PC to a server with copying the database with a mysql dump, the settings for the users seemed to be
corrupted.

One Error was the "missing translation" second error was "field_watcher_users is invalid" and third error was wne changing password
"mail_notification" error.

After setting all the preferences via Control panel for the users, all of the errors disappeared.
#10 - 2011-03-11 08:34 - Luis Serrano Aranda

| have the same problem, what do you mind with setting all preferences via Control Panel ?
(enter in my account change something and save ?

Thanks

#11 - 2011-03-11 15:07 - Etienne Massip

Probably using Administration -> Settings -> Users and loading/saving preferences of each user.

#12 - 2011-03-31 11:19 - Jens Peter Kempkes

We had the same issue, after we upgrade from 1.0.2 to 1.1.2 stable.

| went thru all users, opened their config page on the administration settings page and just saved the current config. after this the issue is gone.
Probably some database upgrade is missing, but no errors showed up during the upgrade.

Best,
ip

#13 - 2011-03-31 11:55 - Etienne Massip
If someone could compare the contents of users table between "before" and "after" update states, that would be of a great help.
E.g., export data to csv and use a diff tool ?

#14 - 2011-04-05 19:56 - Zach Leslie

In my case, | was unable to change any value of the user, because | was getting a message upon save that the login was already taken. Looking
through the database, | found two users with the same name, different capitalization. Deleting one of the users has allowed me to save the record
again and fix the issue. How was the second user allowed to be created?

| did dump the user table before and after, but doing a diff between them does not seem to show useful information, as the entire list of users in the
database is all on one line.

Let me know if | can provide more information.

#15 - 2011-04-05 20:19 - Etienne Massip
It could have been created by email if you use issue creation via email ?

#16 - 2011-04-13 09:23 - Fernan Hidabe

| have solved it adding to my language file (es.yml), this text:
field_watcher_users: Seguidores

In my Language files (es.yml, en.yml, etc), redmine 1.1.2 version, dont exists line with: field_watcher_users :S
| tried open and save user, and it dont work.
Regards!
#17 - 2011-04-22 17:35 - nikolay parshin
Jens Peter Kempkes wrote:
We had the same issue, after we upgrade from 1.0.2 to 1.1.2 stable.
| went thru all users, opened their config page on the administration settings page and just saved the current config. after this the issue is gone.
Probably some database upgrade is missing, but no errors showed up during the upgrade.
Best,

P

| did the same and the error is gone

#18 - 2011-05-22 12:32 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 1.2.0

- Resolution set to Fixed
Fixed in r5880, this error message should no longer occur.

#19 - 2011-05-28 14:36 - Terence Mill

Why is that issue sill not closed?

#20 - 2011-05-29 09:18 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Terence Mill wrote:

Why is that issue sill not closed?

Because fix was not merged into 1.2-stable branch. Done in r5945.
